Name: kirigami-gallery
Version: 20.12.3
Release: 1%{?dist}
Summary: Gallery application built using Kirigami
License: LGPL-2.0
URL:    https://www.kde.org
Source: https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

	
BuildRequires: desktop-file-utils	
BuildRequires: libappstream-glib

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(Qt5Core)
BuildRequires: cmake(Qt5Gui)
BuildRequires: cmake(Qt5LinguistTools)
BuildRequires: cmake(Qt5Quick)
BuildRequires: cmake(Qt5QuickControls2)
BuildRequires: cmake(Qt5Svg)

Requires:   kf5-kirigami2
Requires:   kf5-kitemmodels
Requires:   qt5-qtquickcontrols2
Requires:   qt5-qtgraphicaleffects

%description
Example application which uses all features from kirigami, 
including links to the sourcecode, tips on how to use the 
components and links to the corresponding HIG pages and 
code examples on invent.

%prep
%setup -q


%build
%cmake
%cmake_build

%install
%cmake_install

install -d -m 755 %{buildroot}%{_datadir}/metainfo
install -p -m 644 org.kde.kirigami2.gallery.appdata.xml %{buildroot}%{_datadir}/metainfo/org.kde.kirigami2.gallery.appdata.xml


%check
# https://github.com/hughsie/appstream-glib/issues/360
appstreamcli validate %{buildroot}%{_datadir}/metainfo/org.kde.kirigami2.gallery.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.kde.kirigami2.gallery.desktop

%files
%doc README.md
%license LICENSE.LGPL-2 
%{_kf5_metainfodir}/org.kde.kirigami2.gallery.appdata.xml
%{_kf5_datadir}/applications/org.kde.kirigami2.gallery.desktop
%{_kf5_bindir}/kirigami2gallery
%{_datadir}/locale/*    
 

%changelog
* Mon Mar 08 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org>  20.12.3-1
- Initial version of the package

